Bug 1028102 - Fedora20: sosreport command not working
Fedora20: sosreport command not working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
20
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 11:33 EST by IBM Bug Proxy
Modified: 2014-04-02 05:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: sos-3.0-23.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 05:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 99234 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-11-07 11:33:57 EST
== Comment: #0 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-10-30 06:27:30 ==
-----------------Description------------------------

SOSREPORT command is not working in fedora 20 ppc64.

---------------------How reproducible-----------------------------------------

 Its getting reproducible everytime.

---------Version-Release number of selected component like OS, packages etc (if applicable)----------:

[root@miz10 ~]# uname -a
Linux junoiocplus2-lp3.austin.ibm.com 3.11.5-302.fc20.ppc64p7 #1 SMP Wed Oct 16 15:09:30 MST 2013 ppc64 ppc64 ppc64 GNU/Linux
[root@miz10 ~]# 

the link is :- http://ppc.koji.fedoraproject.org/stage/f20-20131021-Beta-TC5.1/Fedora/ppc64/iso/Fedora-20-ppc64-DVD.iso

------------------------------Step to reproduce-------------------------------------

1) Install a system with fedora20.
2) once the machine comes up give the below command.[root@junoiocplus2-lp3 ~]# sosreport 
     # sosreport 

--------------------------Actual Result---------------------------------------------

It is giving the following tracback

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/sos/sosreport.py", line 937, in setup
    plug.setup()
  File "/usr/lib/python2.7/site-packages/sos/plugins/gluster.py", line 91, in setup
    gluster_major = int((pkg["version"])[:1])
TypeError: string indices must be integers, not str

yum
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/sos/sosreport.py", line 937, in setup
    plug.setup()
  File "/usr/lib/python2.7/site-packages/sos/plugins/yum.py", line 29, in setup
    rhelver = self.policy().rhel_version()
AttributeError: 'FedoraPolicy' object has no attribute 'rhel_version'

--------------------------Expected result------------------------------------

Sytem should generate SOS report.

-----------------------------Additional info----------------------------------

I think the problem exist in the below call of the file yum.py line +29

 def setup(self):
        rhelver = self.policy().rhel_version()

== Comment: #2 - Khushboo Srivastava <khusriva@in.ibm.com> - 2013-11-06 06:01:36 ==
I am able to create the SOSREPORT only by disabling gluster, cluster,yum,networking

I ran the following command

# sosreport -vvv -n gluster,cluster,yum,networking

== Comment: #3 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-11-07 11:11:36 ==
disabling gluster plugin helped in working around the first part of call trace
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/sos/sosreport.py", line 937, in setup
    plug.setup()
  File "/usr/lib/python2.7/site-packages/sos/plugins/gluster.py", line 91, in setup
    gluster_major = int((pkg["version"])[:1])
TypeError: string indices must be integers, not str

and disabling cluster,yum plugins helped in second part of the call trace
yum
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/sos/sosreport.py", line 937, in setup
    plug.setup()
  File "/usr/lib/python2.7/site-packages/sos/plugins/yum.py", line 29, in setup
    rhelver = self.policy().rhel_version()
AttributeError: 'FedoraPolicy' object has no attribute 'rhel_version'

and disabling networking plugin was required to workaround following hang while collecting sos report


 Running plugins. Please wait ...

  Running 36/61: networking...               

when tried re-running along with -vvv option, report collection was stuck at:

copying file /proc/net/rpc/nfsd.fh/channel to /proc/net/rpc/nfsd.fh/channel
added /proc/net/rpc/nfsd.fh/channel to FileCacheArchive /var/tmp/sosreport-ksriva.1234-20131106000818
copying file /proc/net/rpc/nfsd.fh/flush to /proc/net/rpc/nfsd.fh/flush
added /proc/net/rpc/nfsd.fh/flush to FileCacheArchive /var/tmp/sosreport-ksriva.1234-20131106000818
copying file /proc/net/rpc/nfsd.export/content to /proc/net/rpc/nfsd.export/content
added /proc/net/rpc/nfsd.export/content to FileCacheArchive /var/tmp/sosreport-ksriva.1234-20131106000818
copying file /proc/net/rpc/nfsd.export/channel to /proc/net/rpc/nfsd.export/channel
added /proc/net/rpc/nfsd.export/channel to FileCacheArchive /var/tmp/sosreport-ksriva.1234-20131106000818
copying file /proc/net/rpc/nfsd.export/flush to /proc/net/rpc/nfsd.export/flush
added /proc/net/rpc/nfsd.export/flush to FileCacheArchive /var/tmp/sosreport-ksriva.1234-20131106000818
copying file /proc/net/rpc/use-gss-proxy to /proc/net/rpc/use-gss-proxy

as mentioned in the above comment, sosreport gets generated with

# sosreport -vvv -n gluster,cluster,yum,networking
Comment 1 Bryn M. Reeves 2013-11-07 11:50:46 EST
Thanks for the report; both of these problems are fixed upstream - I'll try to get an update done for F20 that includes these fixes.

See also upstream issue #216 which is tracking a longer-term improvement in distribution version reporting:

  https://github.com/sosreport/sosreport/issues/216
Comment 2 IBM Bug Proxy 2013-12-19 04:31:13 EST
------- Comment From khusriva@in.ibm.com 2013-12-19 09:22 EDT-------
I am still able to reproduce this issue in F20- GA.

1) When running

#sosreport

I am getting the below error

Running 37/63: networking...

2) When running

#sosreport -vvv -n networking

I am able to generate the report

It seems the network issue is still there
Comment 3 Peter Portante 2014-03-28 17:11:51 EDT
What prevents the latest sosreport from moving into Fedora 20?

Right now, I cannot collect sosreports there.
Comment 4 Bryn M. Reeves 2014-03-31 09:34:55 EDT
Lack of time primarily. Nobody works full-time on sos and Fedora updates have been starved by other higher priority work lately.

I'm planning to update the F19 and F20 packages to match RHEL and rawhide will get a snapshot from upstream git. I was expecting to have that done by this week but it's a bit behind right now.
Comment 5 Fedora Update System 2014-03-31 12:13:51 EDT
sos-3.0-23.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sos-3.0-23.fc20
Comment 6 Fedora Update System 2014-04-02 05:17:18 EDT
sos-3.0-23.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.